Web lists-archives.com

Re: adb broken in buster?




On Freitag, 25. Mai 2018 00:56:17 CEST Ben Caradoc-Davies wrote:
> On 25/05/18 09:36, Rainer Dorsch wrote:
> > Hello,
> > on a buster system, I have trouble with adb and my Nexus 5X:
> > rd@b370:~$ adb shell
> > error: insufficient permissions for device: verify udev rules.
> > See [http://developer.android.com/tools/device.html] for more information.
> > rd@b370:~$
> > On the referenced website, I understand that I need to be in group plugdev
> > (this is the case).
> > rd@b370:~$ groups
> > rd adm dialout fax cdrom floppy sudo dip video plugdev users lpadmin
> > scanner sispmctl
> > rd@b370:~$
> > is that a known issue? If yes, any hint is welcome ...
> > Thanks
> > Rainer
> 
> adb works with my Nexus 5X on sid over USB:
> 
> $ adb devices -l
> List of devices attached
> [serial]       device usb:1-9 product:bullhead model:Nexus_5X
> device:bullhead
> $ adb shell
> shell@bullhead:/ $
> 
> - Are you connecting over USB?
> 
> - What is the output of "adb devices -l"?
> 
> - Were you in group plugdev at the time the adb server was started? If
> not, please run "adb kill-server" and try again.
> 

Many thanks for your response.

Not sure what went wrong, now it magically works, I still have the non-working 
and the working situation on the same screen:

rd@b370:~$ adb shell
error: insufficient permissions for device: verify udev rules.
See [http://developer.android.com/tools/device.html] for more information.
rd@b370:~$ groups
rd adm dialout fax cdrom floppy sudo dip video plugdev users lpadmin scanner 
sispmctl
rd@b370:~$ apt-cache policy adb
adb:
  Installiert:           1:7.0.0+r33-2
  Installationskandidat: 1:7.0.0+r33-2
  Versionstabelle:
 *** 1:7.0.0+r33-2 500
        500 http://ftp-stud.hs-esslingen.de/debian buster/main amd64 Packages
         80 http://ftp.de.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
rd@b370:~$ apt-cache show adb  
Package: adb
Source: android-platform-system-core
Version: 1:7.0.0+r33-2
Installed-Size: 189
Maintainer: Android Tools Maintainers <android-tools-
devel@xxxxxxxxxxxxxxxxxxxxxxx>
Architecture: amd64
Replaces: android-tools-adb (<< 6.0~)
Provides: android-tools-adb
Depends: android-libadb (= 1:7.0.0+r33-2), android-libbase, android-libcutils, 
libc6 (>= 2.14), libgcc1 (>= 1:3.0), libstdc++6 (>= 5.2)
Recommends: android-sdk-platform-tools-common
Breaks: android-tools-adb (<< 6.0~)
Description-en: Android Debug Bridge
 A versatile command line tool that lets you communicate with an emulator
 instance or connected Android-powered device.
 .
 This package recommends "android-sdk-platform-tools-common" which contains
 the udev rules for Android devices. Without this package, adb and fastboot 
need
 to be running with root permission.
Description-md5: 4fb58b8688addfd94d32fe9a20c9d2e8
Homepage: https://android.googlesource.com/platform/system/core
Section: devel
Priority: optional
Filename: pool/main/a/android-platform-system-core/adb_7.0.0+r33-2_amd64.deb
Size: 71340
MD5sum: 12c5320af6b4cf797e28851885255aee
SHA256: 59dac73a48922b814baa04e18dd3277e7d060dfcd756d8c630fdecfe1cfa45ad

rd@b370:~$  adb devices -l
List of devices attached
00ab0c0c82c498a8       device usb:1-3.4 product:bullhead model:Nexus_5X 
device:bullhead

rd@b370:~$ adb shell
bullhead:/ $ ^D
rd@b370:~$ 

The system did a suspend/resume cycle in between, but I can hardly imagine 
that this made the difference...

Rainer

-- 
Rainer Dorsch
http://bokomoko.de/